Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 476716 - net-analyzer/arp-sk-0.0.16-r2 - configure.in:238: error: 'AM_CONFIG_HEADER': this macro is obsolete.
Summary: net-analyzer/arp-sk-0.0.16-r2 - configure.in:238: error: 'AM_CONFIG_HEADER': ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: automake-1.13
  Show dependency tree
 
Reported: 2013-07-13 14:13 UTC by Daniel Kuehn (RETIRED)
Modified: 2013-07-13 20:32 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch to configure.in to replace obsolete macro (arp-sk-0.0.16-r2-configure.in.patch,344 bytes, patch)
2013-07-13 14:14 UTC, Daniel Kuehn (RETIRED)
Details | Diff
Patch to ebuild to apply patch (ebuild.patch,375 bytes, patch)
2013-07-13 14:14 UTC, Daniel Kuehn (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Kuehn (RETIRED) gentoo-dev 2013-07-13 14:13:10 UTC
Emerging arp-sk-0.0.16-r2 makes it error out very early because the AM_CONFIG_HEADER macro in configure.in is obsolete.
Attached patch to fix this

Reproducible: Always

Steps to Reproduce:
1.emerge net-analyzer/arp-sk
2.
3.
Actual Results:  
Emerge errors out with "failed to run aclocal"

Expected Results:  
Successful emerge of net-analyzer/arp-sk
Comment 1 Daniel Kuehn (RETIRED) gentoo-dev 2013-07-13 14:14:10 UTC
Created attachment 353218 [details, diff]
Patch to configure.in to replace obsolete macro
Comment 2 Daniel Kuehn (RETIRED) gentoo-dev 2013-07-13 14:14:39 UTC
Created attachment 353220 [details, diff]
Patch to ebuild to apply patch
Comment 3 Jeroen Roovers gentoo-dev 2013-07-13 20:32:41 UTC
Fixed without a revision bump. Thanks for the report!